GuideLab API

Submit answers for a partnership registration form

Validates one immutable JSON answer document against the active pinned registration revision.

POST
/forms/{id}/partnerships/{partnershipId}/registration-submission

Validates one immutable JSON answer document against the active pinned registration revision.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
partnershipId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/forms/string/partnerships/string/registration-submission" \  -H "Content-Type: application/json" \  -d '{    "answers": {      "property1": null,      "property2": null    }  }'
Empty
Empty
Empty
Empty
Empty
Empty